Last Comment Bug 665609 - Kill AddEventListenerByIID/RemoveEventListenerByIID from content
: Kill AddEventListenerByIID/RemoveEventListenerByIID from content
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Jonas Sicking (:sicking)
:
Mentors:
Depends on:
Blocks: 661297
  Show dependency treegraph
 
Reported: 2011-06-20 10:24 PDT by Jonas Sicking (:sicking)
Modified: 2011-08-24 02:18 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove from nsXULPopupListener (6.52 KB, patch)
2011-06-20 10:24 PDT, Jonas Sicking (:sicking)
bugs: review+
Details | Diff | Review
Remove from nsTextEditorState (9.57 KB, patch)
2011-06-20 10:49 PDT, Jonas Sicking (:sicking)
jst: review+
Details | Diff | Review

Description Jonas Sicking (:sicking) 2011-06-20 10:24:26 PDT
Created attachment 540521 [details] [diff] [review]
Remove from nsXULPopupListener
Comment 1 Jonas Sicking (:sicking) 2011-06-20 10:49:35 PDT
Created attachment 540529 [details] [diff] [review]
Remove from nsTextEditorState
Comment 2 Jonas Sicking (:sicking) 2011-06-24 22:59:52 PDT
Landed the texteditorstate patch:
http://hg.mozilla.org/mozilla-central/rev/ce10fd5d82c6
Comment 3 :Ms2ger 2011-06-27 07:33:52 PDT
Comment on attachment 540521 [details] [diff] [review]
Remove from nsXULPopupListener

>diff --git a/content/xul/content/src/nsXULPopupListener.cpp b/content/xul/content/src/nsXULPopupListener.cpp
>--- a/content/xul/content/src/nsXULPopupListener.cpp
>+++ b/content/xul/content/src/nsXULPopupListener.cpp
>+nsXULPopupListener::HandleEvent(nsIDOMEvent* aEvent)

>   nsCOMPtr<nsIDOMMouseEvent> mouseEvent;
>-  mouseEvent = do_QueryInterface(aMouseEvent);
>+  mouseEvent = do_QueryInterface(aEvent);

This can be on one line.

>@@ -479,12 +467,11 @@ nsXULPopupListener::LaunchPopup(nsIDOMEv
> nsresult
> NS_NewXULPopupListener(nsIDOMElement* aElement, PRBool aIsContext,
>                        nsIDOMEventListener** aListener)
> {
>     nsXULPopupListener* pl = new nsXULPopupListener(aElement, aIsContext);
>     if (!pl)
>       return NS_ERROR_OUT_OF_MEMORY;
> 
>-    *aListener = static_cast<nsIDOMMouseListener *>(pl);
>-    NS_ADDREF(*aListener);
>+    NS_ADDREF(*aListener = pl);

This can be NS_ADDREF(*aListener = new nsXULPopupListener(aElement, aIsContext));
Comment 4 Jonas Sicking (:sicking) 2011-06-27 12:29:40 PDT
Checked in the popuplistener patch, including a change to kill NS_NewXULPopupListener completely which got r=ms2ger over irc.

http://hg.mozilla.org/integration/mozilla-inbound/rev/d51b398dc5c7
Comment 5 Marco Bonardo [::mak] 2011-06-28 02:26:20 PDT
http://hg.mozilla.org/mozilla-central/rev/d51b398dc5c7

I assume the bug should stay open, otherwise please fix it accordingly.
Comment 6 Jonas Sicking (:sicking) 2011-06-28 08:14:47 PDT
Nope, it should be fixed now.
Comment 7 Trif Andrei-Alin[:AlinT] 2011-08-24 02:18:39 PDT
It seems that AddEventListenerByIID/RemoveEventListenerByIID was removed from the content.
Setting resolution to VERIFIED FIXED.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.